# Uses of Interface
org.picocontainer.BehaviorFactory

Packages that use BehaviorFactory
Package
Description
org.picocontainer
This package contains the core API for PicoContainer, a compact container for working with the dependency injection pattern.
org.picocontainer.behaviors
BehaviorFactories make Behaviors which change aspects of component implementations and instances

## Uses of BehaviorFactory in org.picocontainer

Methods in org.picocontainer with parameters of type BehaviorFactory
Modifier and Type
Method
Description
`PicoBuilder`
PicoBuilder.`withBehaviors(BehaviorFactory... factories)`

## Uses of BehaviorFactory in org.picocontainer.behaviors

Classes in org.picocontainer.behaviors that implement BehaviorFactory
Modifier and Type
Class
Description
`class`
`AbstractBehaviorFactory`
`class`
`AdaptingBehavior`
`class`
`Automating`
`class`
`Caching`
factory class creating cached behaviours
`class`
`Decorating`
BehaviorFactory for Decorating.
`class`
`FieldDecorating`
BehaviorFactory for Field Decorating.
`class`
`Guarding`
factory class creating guard behaviour
`class`
`ImplementationHiding`
`class`
`Intercepting`
`class`
`Locking`
This behavior factory provides java.util.concurrent locks.
`class`
`OptInCaching`
Behavior that turns off Caching behavior by default.
`final class`
`PropertyApplying`
A `ComponentFactory` that creates `PropertyApplicator` instances.
`class`
`Storing`
`class`
`Synchronizing`
This behavior factory provides synchronized wrappers to control access to a particular component.
`class`
`ThreadCaching`
Methods in org.picocontainer.behaviors that return BehaviorFactory
Modifier and Type
Method
Description
`static BehaviorFactory`
Behaviors.`automatic()`
`static BehaviorFactory`
Behaviors.`caching()`
`static BehaviorFactory`
Behaviors.`implementationHiding()`
`static BehaviorFactory`
Behaviors.`locking()`
`static BehaviorFactory`
Behaviors.`propertyApplying()`
`static BehaviorFactory`
Behaviors.`synchronizing()`
Method parameters in org.picocontainer.behaviors with type arguments of type BehaviorFactory
Modifier and Type
Method
Description
`protected void`
AdaptingBehavior.`processAutomatic(Properties componentProperties, List<BehaviorFactory> list)`
`protected void`
AdaptingBehavior.`processCaching(Properties componentProperties, Class componentImplementation, List<BehaviorFactory> list)`
`protected void`
AdaptingBehavior.`processGuarding(Properties componentProperties, Class componentImplementation, List<BehaviorFactory> list)`
`protected void`
AdaptingBehavior.`processImplementationHiding(Properties componentProperties, List<BehaviorFactory> list)`
`protected void`
AdaptingBehavior.`processLocking(Properties componentProperties, List<BehaviorFactory> list)`
`protected void`
AdaptingBehavior.`processPropertyApplying(Properties componentProperties, List<BehaviorFactory> list)`
`protected void`
AdaptingBehavior.`processSynchronizing(Properties componentProperties, List<BehaviorFactory> list)`